Summary: 	gpsdrive is a GPS based navigation tool 
Name: 		gpsdrive
Version: 	1.22
Release: 	3
Copyright: 	GPL
Group: 		Tools 
Source: 	gpsdrive-1.22.tar.gz
Vendor: 	Fritz Ganter
Packager: 	Fritz Ganter <ganter@ganter.at>, Riku Meskanen <mesrik@cc.jyu.fi>
URL:		http://gpsdrive.kraftvoll.at/
Buildroot:      %{_tmppath}/%{name}-%{version}-%(id -u -n)

%description
Gpsdrive is a map-based navigation system. It displays your position on a 
zoomable map provided from a NMEA-capable GPS receiver. The maps are 
autoselected for the best resolution, depending of your position, and the 
displayed image can be zoomed. Maps can be downloaded from the Internet with 
one mouse click. The program provides information about speed, direction, 
bearing, arrival time, actual position, and target position. Speech output 
is also available.

%prep
%setup

%build

%configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

# We build file list dynamically because of this way we later get better 
# control for adding man pages, which amount can change in future, globbing
# %{_mandir}/*/* and %{_mandir}/*/*/* etc. does not work well with localized 
# man pages, another way would be manually updated list, but this is still
# easisest thinking of future.
cat <<EOF >rpm-files
%defattr(644,root,root,755)
%doc GPS-receivers INSTALL AUTHORS COPYING  TODO README LEEME LISEZMOI 
%doc README.FreeBSD README.mb2gpsdrive
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_libdir}/*
%attr(644,root,root) %{_datadir}/gpsdrive/*.png
%attr(644,root,root) %{_datadir}/locale/*/LC_MESSAGES/*.mo
EOF

find ${RPM_BUILD_ROOT}%{_mandir} -type f | xargs gzip -9
find ${RPM_BUILD_ROOT}%{_mandir} -type f |
	sed -e "s#${RPM_BUILD_ROOT}#%attr(644,root,root)#g" >>rpm-files

%clean
rm -rf $RPM_BUILD_ROOT
[ -f rpm-files]&& rm -f rpm-files

%files -f rpm-files

%changelog
* Thu Jun 27 2002 Riku Meskanen <mesrik@cc.jyu.fi>
- modified %files section creation to dynamic

* Mon Jun 17 2002 Riku Meskanen <mesrik@cc.jyu.fi>
- took the original spec file from Fritz tar source package, added
  %changelog section and rewrote using macros, made buildroot really
  work etc. and built it on few Red Hat 7.x environments, I hope nobody 
  minds about that, now it should be fine with most RPM based distros :)
